> For the complete documentation index, see [llms.txt](https://docs.buildings.ability.abb/collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buildings.ability.abb/collection/german/verpflichtende-basis/platform-core/connect-hub/edge-app-marketplace-for-plug-ins-and-extentions/apps/microsoft-365.md).

# Microsoft 365

Diese App ermöglicht den direkten Zugriff auf die Microsoft-365-Plattform in BuildingPro Suites über die Microsoft Graph API.

Name des delegierten Benutzers (bei delegierten Rechten)

Diese App verbindet Räume und andere Ressourcen mit BuildingPro Suites und liefert Informationen zu deren Buchungsstatus. Die wichtigste Funktion der App ist jedoch die Möglichkeit, die gesamte Graph API direkt in BuildingPro Suites zu verwenden, indem die Authentifizierungs-Proxy-Funktionalität genutzt wird.

### Installation

Die Microsoft 365 App wird über den BuildingPro Suites App Store installiert.

### Assets

Die Microsoft 365 App erstellt automatisch alle erforderlichen Asset-Typen und Assets, die über die konfigurierten Endpunkte zugänglich sind. Die folgenden Asset-Typen werden erstellt:

* Raum: Ein Raum in Azure AD.
* Ausstattung: Ein beliebiges buchbares Ausstattungsobjekt. Wie ein Raum, aber verallgemeinert.

Die folgenden Attribute sind definiert:

<table><thead><tr><th>Attribut</th><th>Beschreibung</th><th width="79">Raum</th><th width="128">Equipment</th><th>Filterbar</th></tr></thead><tbody><tr><td><code>Adresse</code></td><td>Physische Adresse</td><td>x</td><td></td><td>x</td></tr><tr><td><code>Spitzname</code></td><td>Spitzname</td><td>x</td><td></td><td>x</td></tr><tr><td><code>Bezeichnung</code></td><td>Bezeichnung</td><td>x</td><td></td><td>x</td></tr><tr><td><code>geo_coordinates</code></td><td>Geo-Koordinaten</td><td>x</td><td></td><td>x</td></tr><tr><td><code>phone</code></td><td>Telefonnummer</td><td>x</td><td></td><td>x</td></tr><tr><td><code>email_address</code></td><td>E-Mail-Adresse</td><td>x</td><td>x</td><td>x</td></tr><tr><td><code>booking_type</code></td><td>Buchungstyp</td><td>x</td><td></td><td>x</td></tr><tr><td><code>building</code></td><td>Gebäude</td><td>x</td><td></td><td>x</td></tr><tr><td><code>capacity</code></td><td>Kapazität</td><td>x</td><td></td><td>x</td></tr><tr><td><code>floor_label</code></td><td>Etagenbezeichnung</td><td>x</td><td></td><td>x</td></tr><tr><td><code>floor_number</code></td><td>Etagennummer</td><td>x</td><td></td><td>x</td></tr><tr><td><code>is_wheel_chair_accessible</code></td><td>Rollstuhlzugänglichkeit</td><td>x</td><td></td><td>x</td></tr><tr><td><code>tags</code></td><td>Schlagwörter</td><td>x</td><td></td><td>x</td></tr><tr><td><code>display_device_name</code></td><td>Name des Anzeigegeräts</td><td>x</td><td></td><td>x</td></tr><tr><td><code>audio_device_name</code></td><td>Name des Audiogeräts</td><td>x</td><td></td><td>x</td></tr><tr><td><code>video_device_name</code></td><td>Name des Videogeräts</td><td>x</td><td></td><td>x</td></tr><tr><td><code>on_schedule</code></td><td>Planmäßig</td><td>x</td><td>x</td><td></td></tr></tbody></table>

#### Konfiguration

{% hint style="info" %}
Weitere Informationen zur App-Konfiguration finden Sie [↗ hier](https://doc.eliona.io/collection/dokumentation/einstellungen/apps).
{% endhint %}

Die Microsoft 365 App wird durch die Definition einer oder mehrerer Anmeldeinformationen konfiguriert. Die folgenden Daten sind für jede Konfiguration erforderlich:

| Attribut          | Beschreibung                                                                                                                                                                                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `tenantId`        | ID oder Domäne des Unternehmens                                                                                                                                                                                                                                    |
| `clientId`        | Client-ID / Azure AD-Anwendungs-ID                                                                                                                                                                                                                                 |
| `clientSecret`    | Ein „Client Secret“ (für App-Berechtigungen)                                                                                                                                                                                                                       |
| `username`        | Name des delegierten Benutzers (für delegierte Rechte)                                                                                                                                                                                                             |
| `password`        | Passwort des delegierten Benutzers (für delegierte Berechtigungen)                                                                                                                                                                                                 |
| `forEliona`       | Gibt an, ob die Konfiguration für die Asset-Erstellung verwendet werden soll                                                                                                                                                                                       |
| `forProxy`        | Gibt an, ob die Konfiguration für das App-Frontend und die Proxy-API verwendet werden soll                                                                                                                                                                         |
| `enable`          | Schalter zum Aktivieren oder Deaktivieren des Abrufs von dieser API                                                                                                                                                                                                |
| `refreshInterval` | Intervall in Sekunden zum Sammeln von Daten von der API                                                                                                                                                                                                            |
| `requestTimeout`  | Zeitüberschreitung für die API-Abfrage in Sekunden                                                                                                                                                                                                                 |
| `assetFilter`     | Filter für die Asset-Erstellung, weitere Details finden Sie in der README-Datei der App                                                                                                                                                                            |
| `tenantIDs`       | Liste der BuildingPro-Suites-Tenant-IDs, für die dieses Gerät Daten erfassen soll. Alle Assets werden für jede Tenant-ID automatisch in BuildingPro Suites erstellt. Die Zuordnung zu den BuildingPro-Suites-Assets wird in der App als Asset-Mapping gespeichert. |

Die Konfiguration muss entweder das Client Secret für App-Berechtigungen oder die Benutzeranmeldedaten für delegierte Berechtigungen enthalten. Die Konfiguration erfolgt über eine entsprechende JSON-Struktur. Als Beispiel kann die folgende JSON-Struktur verwendet werden, um einen Endpunkt für App-Berechtigungen zu definieren:

\[Code hier]

Endpunkte können mit dieser Struktur in BuildingPro Suites unter `Apps > Kontakt.io > Einstellungen`. Wählen Sie den /configs-Endpunkt mit der POST-Methode aus.

### Erforderliche Berechtigungen

Für den grundlegenden Anwendungsfall des Auslesens von Räumen und Geräten sowie deren Verfügbarkeit benötigt die Anwendung die folgenden Anwendungsberechtigungen:

* `Place.Read.All`
* `User.Read.All`
* `Calendars.Read`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.buildings.ability.abb/collection/german/verpflichtende-basis/platform-core/connect-hub/edge-app-marketplace-for-plug-ins-and-extentions/apps/microsoft-365.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
